'use strict';Object.defineProperty(exports,'__esModule',{value:true});require('./export-337383b7.js'),require('@babel/runtime/helpers/esm/defineProperty');var index=require('./index-a9ba0146.js'),vue=require('vue');require('clsx'),require('twind');var merge=require('lodash.merge');require('./es.array.includes-4ee72c04.js');function _interopDefaultLegacy(e){return e&&typeof e==='object'&&'default'in e?e:{'default':e}}var merge__default=/*#__PURE__*/_interopDefaultLegacy(merge);const buttonDefault = "inline-flex items-center border-2 font-medium rounded-md leading-6 focus:relative focus:z-20 focus:ring-opacity-60 focus:outline-none focus:ring-2 focus:ring-offset-2";
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types, @typescript-eslint/no-explicit-any
const Theme = (userTheme) => {
    return merge__default['default']({
        primary: `${buttonDefault} border-transparent shadow-sm text-white dark:ring-offset-blue-900 ring-offset-blue-50 bg-blue-600 hover:bg-blue-700 focus:ring-blue-500`,
        secondary: `${buttonDefault} border-transparent shadow-sm text-white dark:ring-offset-gray-900 ring-offset-gray-50 bg-gray-600 hover:bg-gray-700 focus:ring-gray-500`,
        outline: `${buttonDefault} text-gray-700 dark:text-gray-100 border-gray-400 dark:border-gray-600 focus:border-gray-500 ring-offset-gray-50 dark:ring-offset-gray-800 hover:bg-gray-500 hover:bg-opacity-10 hover:dark:bg-gray-200 hover:dark:bg-opacity-10 focus:bg-gray-900 focus:dark:bg-gray-100 focus:bg-opacity-10 focus:dark:bg-opacity-20 focus:ring-gray-400 px-3.5 py-1.5`,
        success: `${buttonDefault} border-transparent shadow-sm text-white dark:ring-offset-green-900 ring-offset-green-50 bg-green-600 hover:bg-green-700 focus:ring-green-500`,
        danger: `${buttonDefault} border-transparent shadow-sm text-white dark:ring-offset-red-900 ring-offset-red-50 bg-red-600 hover:bg-red-700 focus:ring-red-500`,
        warn: `${buttonDefault} border-transparent shadow-sm text-white dark:ring-offset-yellow-900 ring-offset-yellow-50 bg-yellow-600 hover:bg-yellow-700 focus:ring-yellow-500`,
        disabled: `${buttonDefault} bg-indigo-600 hover:bg-indigo-700 focus:ring-indigo-500`,
        size: {
            xs: "px-1 leading-5 text-xs",
            sm: "px-2.5 py-0.5 py text-sm",
            md: "px-3.5 py-1.5",
            lg: "px-5 py-2.5 text-lg",
            xl: "px-6 py-4 text-xl",
        },
    }, userTheme ? userTheme.ZButton : null);
};var script = vue.defineComponent({
  name: "Button",
  props: index._(index._(index._(index._(index._({}, index.c()), index.a()), index.v({
    default: "primary"
  })), index.b({
    default: "default",
    validator: function validator(v) {
      return ["loading", "default"].includes(v);
    }
  })), index.s({
    default: "md",
    validator: function validator(v) {
      return ["xs", "sm", "md", "lg", "xl"].includes(v);
    }
  })),
  setup: function setup(props) {
    var _computed = vue.computed(function () {
      return Theme(vue.inject("userTheme", {}));
    }),
        theme = _computed.value;

    var classes = vue.computed(function () {
      return new index.C().append(theme[props.variant]).append(theme.size[props.size]).append(props.classAppend).remove(props.classRemove).twind(vue.inject("twindEnable", true)).val();
    });
    return {
      classes: classes
    };
  }
});function render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("button", {
    class: _ctx.classes
  }, [vue.renderSlot(_ctx.$slots, "default")], 2);
}script.render = render;const ButtonPlugin = {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
    install: (vue) => {
        index.r(vue, script);
    }
};exports.ButtonPlugin=ButtonPlugin;exports.default=script;