(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@babel/runtime/helpers/esm/defineProperty'), require('vue'), require('@headlessui/vue'), require('clsx'), require('twind'), require('lodash.merge')) :
	typeof define === 'function' && define.amd ? define(['exports', '@babel/runtime/helpers/esm/defineProperty', 'vue', '@headlessui/vue', 'clsx', 'twind', 'lodash.merge'], factory) :
	(global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.Dropdown = {}, global.defineProperty$1, global.Vue, global.vue$1, global.clsx, global.twind, global.merge));
}(this, (function (exports, defineProperty$1, vue, vue$1, clsx, twind, merge) { 'use strict';

	function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

	var defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(defineProperty$1);
	var clsx__default = /*#__PURE__*/_interopDefaultLegacy(clsx);
	var merge__default = /*#__PURE__*/_interopDefaultLegacy(merge);

	var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

	function createCommonjsModule(fn, basedir, module) {
		return module = {
		  path: basedir,
		  exports: {},
		  require: function (path, base) {
	      return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
	    }
		}, fn(module, module.exports), module.exports;
	}

	function commonjsRequire () {
		throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
	}

	var check = function (it) {
	  return it && it.Math == Math && it;
	};

	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global_1 =
	  // eslint-disable-next-line no-undef
	  check(typeof globalThis == 'object' && globalThis) ||
	  check(typeof window == 'object' && window) ||
	  check(typeof self == 'object' && self) ||
	  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
	  // eslint-disable-next-line no-new-func
	  (function () { return this; })() || Function('return this')();

	var fails = function (exec) {
	  try {
	    return !!exec();
	  } catch (error) {
	    return true;
	  }
	};

	// Detect IE8's incomplete defineProperty implementation
	var descriptors = !fails(function () {
	  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] != 7;
	});

	var nativePropertyIsEnumerable = {}.propertyIsEnumerable;
	var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

	// Nashorn ~ JDK8 bug
	var NASHORN_BUG = getOwnPropertyDescriptor && !nativePropertyIsEnumerable.call({ 1: 2 }, 1);

	// `Object.prototype.propertyIsEnumerable` method implementation
	// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
	var f = NASHORN_BUG ? function propertyIsEnumerable(V) {
	  var descriptor = getOwnPropertyDescriptor(this, V);
	  return !!descriptor && descriptor.enumerable;
	} : nativePropertyIsEnumerable;

	var objectPropertyIsEnumerable = {
		f: f
	};

	var createPropertyDescriptor = function (bitmap, value) {
	  return {
	    enumerable: !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable: !(bitmap & 4),
	    value: value
	  };
	};

	var toString = {}.toString;

	var classofRaw = function (it) {
	  return toString.call(it).slice(8, -1);
	};

	var split = ''.split;

	// fallback for non-array-like ES3 and non-enumerable old V8 strings
	var indexedObject = fails(function () {
	  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
	  // eslint-disable-next-line no-prototype-builtins
	  return !Object('z').propertyIsEnumerable(0);
	}) ? function (it) {
	  return classofRaw(it) == 'String' ? split.call(it, '') : Object(it);
	} : Object;

	// `RequireObjectCoercible` abstract operation
	// https://tc39.es/ecma262/#sec-requireobjectcoercible
	var requireObjectCoercible = function (it) {
	  if (it == undefined) throw TypeError("Can't call method on " + it);
	  return it;
	};

	// toObject with fallback for non-array-like ES3 strings



	var toIndexedObject = function (it) {
	  return indexedObject(requireObjectCoercible(it));
	};

	var isObject = function (it) {
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};

	// `ToPrimitive` abstract operation
	// https://tc39.es/ecma262/#sec-toprimitive
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	var toPrimitive = function (input, PREFERRED_STRING) {
	  if (!isObject(input)) return input;
	  var fn, val;
	  if (PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
	  if (typeof (fn = input.valueOf) == 'function' && !isObject(val = fn.call(input))) return val;
	  if (!PREFERRED_STRING && typeof (fn = input.toString) == 'function' && !isObject(val = fn.call(input))) return val;
	  throw TypeError("Can't convert object to primitive value");
	};

	var hasOwnProperty = {}.hasOwnProperty;

	var has = function (it, key) {
	  return hasOwnProperty.call(it, key);
	};

	var document$1 = global_1.document;
	// typeof document.createElement is 'object' in old IE
	var EXISTS = isObject(document$1) && isObject(document$1.createElement);

	var documentCreateElement = function (it) {
	  return EXISTS ? document$1.createElement(it) : {};
	};

	// Thank's IE8 for his funny defineProperty
	var ie8DomDefine = !descriptors && !fails(function () {
	  return Object.defineProperty(documentCreateElement('div'), 'a', {
	    get: function () { return 7; }
	  }).a != 7;
	});

	var nativeGetOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

	// `Object.getOwnPropertyDescriptor` method
	// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
	var f$1 = descriptors ? nativeGetOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
	  O = toIndexedObject(O);
	  P = toPrimitive(P, true);
	  if (ie8DomDefine) try {
	    return nativeGetOwnPropertyDescriptor(O, P);
	  } catch (error) { /* empty */ }
	  if (has(O, P)) return createPropertyDescriptor(!objectPropertyIsEnumerable.f.call(O, P), O[P]);
	};

	var objectGetOwnPropertyDescriptor = {
		f: f$1
	};

	var anObject = function (it) {
	  if (!isObject(it)) {
	    throw TypeError(String(it) + ' is not an object');
	  } return it;
	};

	var nativeDefineProperty = Object.defineProperty;

	// `Object.defineProperty` method
	// https://tc39.es/ecma262/#sec-object.defineproperty
	var f$2 = descriptors ? nativeDefineProperty : function defineProperty(O, P, Attributes) {
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if (ie8DomDefine) try {
	    return nativeDefineProperty(O, P, Attributes);
	  } catch (error) { /* empty */ }
	  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported');
	  if ('value' in Attributes) O[P] = Attributes.value;
	  return O;
	};

	var objectDefineProperty = {
		f: f$2
	};

	var createNonEnumerableProperty = descriptors ? function (object, key, value) {
	  return objectDefineProperty.f(object, key, createPropertyDescriptor(1, value));
	} : function (object, key, value) {
	  object[key] = value;
	  return object;
	};

	var setGlobal = function (key, value) {
	  try {
	    createNonEnumerableProperty(global_1, key, value);
	  } catch (error) {
	    global_1[key] = value;
	  } return value;
	};

	var SHARED = '__core-js_shared__';
	var store = global_1[SHARED] || setGlobal(SHARED, {});

	var sharedStore = store;

	var functionToString = Function.toString;

	// this helper broken in `3.4.1-3.4.4`, so we can't use `shared` helper
	if (typeof sharedStore.inspectSource != 'function') {
	  sharedStore.inspectSource = function (it) {
	    return functionToString.call(it);
	  };
	}

	var inspectSource = sharedStore.inspectSource;

	var WeakMap = global_1.WeakMap;

	var nativeWeakMap = typeof WeakMap === 'function' && /native code/.test(inspectSource(WeakMap));

	var shared = createCommonjsModule(function (module) {
	(module.exports = function (key, value) {
	  return sharedStore[key] || (sharedStore[key] = value !== undefined ? value : {});
	})('versions', []).push({
	  version: '3.8.2',
	  mode:  'global',
	  copyright: '© 2021 Denis Pushkarev (zloirock.ru)'
	});
	});

	var id = 0;
	var postfix = Math.random();

	var uid = function (key) {
	  return 'Symbol(' + String(key === undefined ? '' : key) + ')_' + (++id + postfix).toString(36);
	};

	var keys = shared('keys');

	var sharedKey = function (key) {
	  return keys[key] || (keys[key] = uid(key));
	};

	var hiddenKeys = {};

	var WeakMap$1 = global_1.WeakMap;
	var set, get, has$1;

	var enforce = function (it) {
	  return has$1(it) ? get(it) : set(it, {});
	};

	var getterFor = function (TYPE) {
	  return function (it) {
	    var state;
	    if (!isObject(it) || (state = get(it)).type !== TYPE) {
	      throw TypeError('Incompatible receiver, ' + TYPE + ' required');
	    } return state;
	  };
	};

	if (nativeWeakMap) {
	  var store$1 = sharedStore.state || (sharedStore.state = new WeakMap$1());
	  var wmget = store$1.get;
	  var wmhas = store$1.has;
	  var wmset = store$1.set;
	  set = function (it, metadata) {
	    metadata.facade = it;
	    wmset.call(store$1, it, metadata);
	    return metadata;
	  };
	  get = function (it) {
	    return wmget.call(store$1, it) || {};
	  };
	  has$1 = function (it) {
	    return wmhas.call(store$1, it);
	  };
	} else {
	  var STATE = sharedKey('state');
	  hiddenKeys[STATE] = true;
	  set = function (it, metadata) {
	    metadata.facade = it;
	    createNonEnumerableProperty(it, STATE, metadata);
	    return metadata;
	  };
	  get = function (it) {
	    return has(it, STATE) ? it[STATE] : {};
	  };
	  has$1 = function (it) {
	    return has(it, STATE);
	  };
	}

	var internalState = {
	  set: set,
	  get: get,
	  has: has$1,
	  enforce: enforce,
	  getterFor: getterFor
	};

	var redefine = createCommonjsModule(function (module) {
	var getInternalState = internalState.get;
	var enforceInternalState = internalState.enforce;
	var TEMPLATE = String(String).split('String');

	(module.exports = function (O, key, value, options) {
	  var unsafe = options ? !!options.unsafe : false;
	  var simple = options ? !!options.enumerable : false;
	  var noTargetGet = options ? !!options.noTargetGet : false;
	  var state;
	  if (typeof value == 'function') {
	    if (typeof key == 'string' && !has(value, 'name')) {
	      createNonEnumerableProperty(value, 'name', key);
	    }
	    state = enforceInternalState(value);
	    if (!state.source) {
	      state.source = TEMPLATE.join(typeof key == 'string' ? key : '');
	    }
	  }
	  if (O === global_1) {
	    if (simple) O[key] = value;
	    else setGlobal(key, value);
	    return;
	  } else if (!unsafe) {
	    delete O[key];
	  } else if (!noTargetGet && O[key]) {
	    simple = true;
	  }
	  if (simple) O[key] = value;
	  else createNonEnumerableProperty(O, key, value);
	// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
	})(Function.prototype, 'toString', function toString() {
	  return typeof this == 'function' && getInternalState(this).source || inspectSource(this);
	});
	});

	var path = global_1;

	var aFunction = function (variable) {
	  return typeof variable == 'function' ? variable : undefined;
	};

	var getBuiltIn = function (namespace, method) {
	  return arguments.length < 2 ? aFunction(path[namespace]) || aFunction(global_1[namespace])
	    : path[namespace] && path[namespace][method] || global_1[namespace] && global_1[namespace][method];
	};

	var ceil = Math.ceil;
	var floor = Math.floor;

	// `ToInteger` abstract operation
	// https://tc39.es/ecma262/#sec-tointeger
	var toInteger = function (argument) {
	  return isNaN(argument = +argument) ? 0 : (argument > 0 ? floor : ceil)(argument);
	};

	var min = Math.min;

	// `ToLength` abstract operation
	// https://tc39.es/ecma262/#sec-tolength
	var toLength = function (argument) {
	  return argument > 0 ? min(toInteger(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
	};

	var max = Math.max;
	var min$1 = Math.min;

	// Helper for a popular repeating case of the spec:
	// Let integer be ? ToInteger(index).
	// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
	var toAbsoluteIndex = function (index, length) {
	  var integer = toInteger(index);
	  return integer < 0 ? max(integer + length, 0) : min$1(integer, length);
	};

	// `Array.prototype.{ indexOf, includes }` methods implementation
	var createMethod = function (IS_INCLUDES) {
	  return function ($this, el, fromIndex) {
	    var O = toIndexedObject($this);
	    var length = toLength(O.length);
	    var index = toAbsoluteIndex(fromIndex, length);
	    var value;
	    // Array#includes uses SameValueZero equality algorithm
	    // eslint-disable-next-line no-self-compare
	    if (IS_INCLUDES && el != el) while (length > index) {
	      value = O[index++];
	      // eslint-disable-next-line no-self-compare
	      if (value != value) return true;
	    // Array#indexOf ignores holes, Array#includes - not
	    } else for (;length > index; index++) {
	      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
	    } return !IS_INCLUDES && -1;
	  };
	};

	var arrayIncludes = {
	  // `Array.prototype.includes` method
	  // https://tc39.es/ecma262/#sec-array.prototype.includes
	  includes: createMethod(true),
	  // `Array.prototype.indexOf` method
	  // https://tc39.es/ecma262/#sec-array.prototype.indexof
	  indexOf: createMethod(false)
	};

	var indexOf = arrayIncludes.indexOf;


	var objectKeysInternal = function (object, names) {
	  var O = toIndexedObject(object);
	  var i = 0;
	  var result = [];
	  var key;
	  for (key in O) !has(hiddenKeys, key) && has(O, key) && result.push(key);
	  // Don't enum bug & hidden keys
	  while (names.length > i) if (has(O, key = names[i++])) {
	    ~indexOf(result, key) || result.push(key);
	  }
	  return result;
	};

	// IE8- don't enum bug keys
	var enumBugKeys = [
	  'constructor',
	  'hasOwnProperty',
	  'isPrototypeOf',
	  'propertyIsEnumerable',
	  'toLocaleString',
	  'toString',
	  'valueOf'
	];

	var hiddenKeys$1 = enumBugKeys.concat('length', 'prototype');

	// `Object.getOwnPropertyNames` method
	// https://tc39.es/ecma262/#sec-object.getownpropertynames
	var f$3 = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
	  return objectKeysInternal(O, hiddenKeys$1);
	};

	var objectGetOwnPropertyNames = {
		f: f$3
	};

	var f$4 = Object.getOwnPropertySymbols;

	var objectGetOwnPropertySymbols = {
		f: f$4
	};

	// all object keys, includes non-enumerable and symbols
	var ownKeys = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
	  var keys = objectGetOwnPropertyNames.f(anObject(it));
	  var getOwnPropertySymbols = objectGetOwnPropertySymbols.f;
	  return getOwnPropertySymbols ? keys.concat(getOwnPropertySymbols(it)) : keys;
	};

	var copyConstructorProperties = function (target, source) {
	  var keys = ownKeys(source);
	  var defineProperty = objectDefineProperty.f;
	  var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;
	  for (var i = 0; i < keys.length; i++) {
	    var key = keys[i];
	    if (!has(target, key)) defineProperty(target, key, getOwnPropertyDescriptor(source, key));
	  }
	};

	var replacement = /#|\.prototype\./;

	var isForced = function (feature, detection) {
	  var value = data[normalize(feature)];
	  return value == POLYFILL ? true
	    : value == NATIVE ? false
	    : typeof detection == 'function' ? fails(detection)
	    : !!detection;
	};

	var normalize = isForced.normalize = function (string) {
	  return String(string).replace(replacement, '.').toLowerCase();
	};

	var data = isForced.data = {};
	var NATIVE = isForced.NATIVE = 'N';
	var POLYFILL = isForced.POLYFILL = 'P';

	var isForced_1 = isForced;

	var getOwnPropertyDescriptor$1 = objectGetOwnPropertyDescriptor.f;






	/*
	  options.target      - name of the target object
	  options.global      - target is the global object
	  options.stat        - export as static methods of target
	  options.proto       - export as prototype methods of target
	  options.real        - real prototype method for the `pure` version
	  options.forced      - export even if the native feature is available
	  options.bind        - bind methods to the target, required for the `pure` version
	  options.wrap        - wrap constructors to preventing global pollution, required for the `pure` version
	  options.unsafe      - use the simple assignment of property instead of delete + defineProperty
	  options.sham        - add a flag to not completely full polyfills
	  options.enumerable  - export as enumerable property
	  options.noTargetGet - prevent calling a getter on target
	*/
	var _export = function (options, source) {
	  var TARGET = options.target;
	  var GLOBAL = options.global;
	  var STATIC = options.stat;
	  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
	  if (GLOBAL) {
	    target = global_1;
	  } else if (STATIC) {
	    target = global_1[TARGET] || setGlobal(TARGET, {});
	  } else {
	    target = (global_1[TARGET] || {}).prototype;
	  }
	  if (target) for (key in source) {
	    sourceProperty = source[key];
	    if (options.noTargetGet) {
	      descriptor = getOwnPropertyDescriptor$1(target, key);
	      targetProperty = descriptor && descriptor.value;
	    } else targetProperty = target[key];
	    FORCED = isForced_1(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
	    // contained in target
	    if (!FORCED && targetProperty !== undefined) {
	      if (typeof sourceProperty === typeof targetProperty) continue;
	      copyConstructorProperties(sourceProperty, targetProperty);
	    }
	    // add a flag to not completely full polyfills
	    if (options.sham || (targetProperty && targetProperty.sham)) {
	      createNonEnumerableProperty(sourceProperty, 'sham', true);
	    }
	    // extend global
	    redefine(target, key, sourceProperty, options);
	  }
	};

	var nativeSymbol = !!Object.getOwnPropertySymbols && !fails(function () {
	  // Chrome 38 Symbol has incorrect toString conversion
	  // eslint-disable-next-line no-undef
	  return !String(Symbol());
	});

	var useSymbolAsUid = nativeSymbol
	  // eslint-disable-next-line no-undef
	  && !Symbol.sham
	  // eslint-disable-next-line no-undef
	  && typeof Symbol.iterator == 'symbol';

	var WellKnownSymbolsStore = shared('wks');
	var Symbol$1 = global_1.Symbol;
	var createWellKnownSymbol = useSymbolAsUid ? Symbol$1 : Symbol$1 && Symbol$1.withoutSetter || uid;

	var wellKnownSymbol = function (name) {
	  if (!has(WellKnownSymbolsStore, name)) {
	    if (nativeSymbol && has(Symbol$1, name)) WellKnownSymbolsStore[name] = Symbol$1[name];
	    else WellKnownSymbolsStore[name] = createWellKnownSymbol('Symbol.' + name);
	  } return WellKnownSymbolsStore[name];
	};

	// `Object.keys` method
	// https://tc39.es/ecma262/#sec-object.keys
	var objectKeys = Object.keys || function keys(O) {
	  return objectKeysInternal(O, enumBugKeys);
	};

	// `Object.defineProperties` method
	// https://tc39.es/ecma262/#sec-object.defineproperties
	var objectDefineProperties = descriptors ? Object.defineProperties : function defineProperties(O, Properties) {
	  anObject(O);
	  var keys = objectKeys(Properties);
	  var length = keys.length;
	  var index = 0;
	  var key;
	  while (length > index) objectDefineProperty.f(O, key = keys[index++], Properties[key]);
	  return O;
	};

	var html = getBuiltIn('document', 'documentElement');

	var GT = '>';
	var LT = '<';
	var PROTOTYPE = 'prototype';
	var SCRIPT = 'script';
	var IE_PROTO = sharedKey('IE_PROTO');

	var EmptyConstructor = function () { /* empty */ };

	var scriptTag = function (content) {
	  return LT + SCRIPT + GT + content + LT + '/' + SCRIPT + GT;
	};

	// Create object with fake `null` prototype: use ActiveX Object with cleared prototype
	var NullProtoObjectViaActiveX = function (activeXDocument) {
	  activeXDocument.write(scriptTag(''));
	  activeXDocument.close();
	  var temp = activeXDocument.parentWindow.Object;
	  activeXDocument = null; // avoid memory leak
	  return temp;
	};

	// Create object with fake `null` prototype: use iframe Object with cleared prototype
	var NullProtoObjectViaIFrame = function () {
	  // Thrash, waste and sodomy: IE GC bug
	  var iframe = documentCreateElement('iframe');
	  var JS = 'java' + SCRIPT + ':';
	  var iframeDocument;
	  iframe.style.display = 'none';
	  html.appendChild(iframe);
	  // https://github.com/zloirock/core-js/issues/475
	  iframe.src = String(JS);
	  iframeDocument = iframe.contentWindow.document;
	  iframeDocument.open();
	  iframeDocument.write(scriptTag('document.F=Object'));
	  iframeDocument.close();
	  return iframeDocument.F;
	};

	// Check for document.domain and active x support
	// No need to use active x approach when document.domain is not set
	// see https://github.com/es-shims/es5-shim/issues/150
	// variation of https://github.com/kitcambridge/es5-shim/commit/4f738ac066346
	// avoid IE GC bug
	var activeXDocument;
	var NullProtoObject = function () {
	  try {
	    /* global ActiveXObject */
	    activeXDocument = document.domain && new ActiveXObject('htmlfile');
	  } catch (error) { /* ignore */ }
	  NullProtoObject = activeXDocument ? NullProtoObjectViaActiveX(activeXDocument) : NullProtoObjectViaIFrame();
	  var length = enumBugKeys.length;
	  while (length--) delete NullProtoObject[PROTOTYPE][enumBugKeys[length]];
	  return NullProtoObject();
	};

	hiddenKeys[IE_PROTO] = true;

	// `Object.create` method
	// https://tc39.es/ecma262/#sec-object.create
	var objectCreate = Object.create || function create(O, Properties) {
	  var result;
	  if (O !== null) {
	    EmptyConstructor[PROTOTYPE] = anObject(O);
	    result = new EmptyConstructor();
	    EmptyConstructor[PROTOTYPE] = null;
	    // add "__proto__" for Object.getPrototypeOf polyfill
	    result[IE_PROTO] = O;
	  } else result = NullProtoObject();
	  return Properties === undefined ? result : objectDefineProperties(result, Properties);
	};

	var UNSCOPABLES = wellKnownSymbol('unscopables');
	var ArrayPrototype = Array.prototype;

	// Array.prototype[@@unscopables]
	// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
	if (ArrayPrototype[UNSCOPABLES] == undefined) {
	  objectDefineProperty.f(ArrayPrototype, UNSCOPABLES, {
	    configurable: true,
	    value: objectCreate(null)
	  });
	}

	// add a key to Array.prototype[@@unscopables]
	var addToUnscopables = function (key) {
	  ArrayPrototype[UNSCOPABLES][key] = true;
	};

	var defineProperty = Object.defineProperty;
	var cache = {};

	var thrower = function (it) { throw it; };

	var arrayMethodUsesToLength = function (METHOD_NAME, options) {
	  if (has(cache, METHOD_NAME)) return cache[METHOD_NAME];
	  if (!options) options = {};
	  var method = [][METHOD_NAME];
	  var ACCESSORS = has(options, 'ACCESSORS') ? options.ACCESSORS : false;
	  var argument0 = has(options, 0) ? options[0] : thrower;
	  var argument1 = has(options, 1) ? options[1] : undefined;

	  return cache[METHOD_NAME] = !!method && !fails(function () {
	    if (ACCESSORS && !descriptors) return true;
	    var O = { length: -1 };

	    if (ACCESSORS) defineProperty(O, 1, { enumerable: true, get: thrower });
	    else O[1] = 1;

	    method.call(O, argument0, argument1);
	  });
	};

	var $includes = arrayIncludes.includes;



	var USES_TO_LENGTH = arrayMethodUsesToLength('indexOf', { ACCESSORS: true, 1: 0 });

	// `Array.prototype.includes` method
	// https://tc39.es/ecma262/#sec-array.prototype.includes
	_export({ target: 'Array', proto: true, forced: !USES_TO_LENGTH }, {
	  includes: function includes(el /* , fromIndex = 0 */) {
	    return $includes(this, el, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	// https://tc39.es/ecma262/#sec-array.prototype-@@unscopables
	addToUnscopables('includes');

	function ownKeys$1(object, enumerableOnly) {
	  var keys = Object.keys(object);

	  if (Object.getOwnPropertySymbols) {
	    var symbols = Object.getOwnPropertySymbols(object);
	    if (enumerableOnly) symbols = symbols.filter(function (sym) {
	      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
	    });
	    keys.push.apply(keys, symbols);
	  }

	  return keys;
	}

	function _objectSpread2(target) {
	  for (var i = 1; i < arguments.length; i++) {
	    var source = arguments[i] != null ? arguments[i] : {};

	    if (i % 2) {
	      ownKeys$1(Object(source), true).forEach(function (key) {
	        defineProperty__default['default'](target, key, source[key]);
	      });
	    } else if (Object.getOwnPropertyDescriptors) {
	      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
	    } else {
	      ownKeys$1(Object(source)).forEach(function (key) {
	        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
	      });
	    }
	  }

	  return target;
	}

	const variant = (args) => {
	    return {
	        variant: {
	            type: args && args.type ? args.type : [String],
	            default: args && args.default ? args.default : "",
	            required: args && args.required ? args.required : false
	        }
	    };
	};
	const classAppend = (args) => {
	    return {
	        classAppend: {
	            type: args && args.type ? args.type : [String, Array],
	            default: args && args.default ? args.default : "",
	            required: args && args.required ? args.required : false
	        }
	    };
	};
	const classRemove = (args) => {
	    return {
	        classRemove: {
	            type: args && args.type ? args.type : [String, Array],
	            default: args && args.default ? args.default : "",
	            required: args && args.required ? args.required : false
	        }
	    };
	};
	const as = (args) => {
	    return {
	        as: {
	            type: args && args.type ? args.type : [String, Object],
	            default: args && args.default ? args.default : "div",
	            required: args && args.required ? args.required : false
	        }
	    };
	};
	const status = (args) => {
	    return {
	        status: {
	            type: args && args.type ? args.type : [String, Boolean],
	            default: args && args.default ? args.default : false,
	            required: args && args.required ? args.required : false,
	            validator: args && args.validator ? args.validator : () => true
	        }
	    };
	};

	// Classy
	class Classy {
	    constructor(starter) {
	        if (starter) {
	            this.value = Array.isArray(starter) ? starter : this.toArray(starter);
	        }
	        else {
	            this.value = [];
	        }
	    }
	    // Chains
	    append(classes) {
	        this.value = clsx__default['default'](this.value, classes);
	        return this;
	    }
	    remove(classes) {
	        const classArray = typeof classes === "string" ? classes.split(" ") : classes;
	        this.value = this.toArray(this.value).filter((className) => !classArray.includes(className));
	        return this;
	    }
	    twind(enable = true) {
	        if (enable) {
	            this.value = twind.tw `${this.value}`;
	        }
	        return this;
	    }
	    val(type) {
	        if (type === "array") {
	            return this.toArray(this.value);
	        }
	        return clsx__default['default'](this.value);
	    }
	    // Helpers
	    toArray(classes) {
	        return typeof classes === "string" ? classes.split(" ") : classes;
	    }
	    toString(classes) {
	        return Array.isArray(classes) ? classes.join(" ") : classes;
	    }
	}

	var script = vue.defineComponent({
	  name: "DropdownButton",
	  components: {
	    HMenuButton: vue$1.MenuButton
	  },
	  props: _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, classAppend()), classRemove()), variant({
	    default: "DEFAULT"
	  })), status()), as({
	    default: "button"
	  })),
	  setup: function setup(props) {
	    var _props$variant, _theme$resolvedVarian;

	    var twindEnable = vue.inject("twindEnable", true);
	    var status = props.status && props.status !== false ? props.status : vue.inject("status", false);
	    var theme = vue.inject("theme"); // eslint-disable-line @typescript-eslint/no-explicit-any

	    var resolvedVariant = (_props$variant = props.variant) !== null && _props$variant !== void 0 ? _props$variant : vue.inject("variant", "DEFAULT");
	    var variantClasses = (_theme$resolvedVarian = theme === null || theme === void 0 ? void 0 : theme[resolvedVariant].DropdownButton) !== null && _theme$resolvedVarian !== void 0 ? _theme$resolvedVarian : "";
	    var statusClasses = status && theme[status] ? theme[status].DropdownButton : false;
	    var classes = vue.computed(function () {
	      return new Classy().append(statusClasses !== null && statusClasses !== void 0 ? statusClasses : theme[variantClasses]).append(props.classAppend).remove(props.classRemove).twind(twindEnable).val();
	    });
	    return {
	      classes: classes,
	      status: status
	    };
	  }
	});

	function render(_ctx, _cache, $props, $setup, $data, $options) {
	  var _component_HMenuButton = vue.resolveComponent("HMenuButton");

	  return vue.openBlock(), vue.createBlock(_component_HMenuButton, {
	    as: _ctx.status === 'disabled' ? 'button' : _ctx.as,
	    class: _ctx.classes,
	    disabled: _ctx.status === 'disabled'
	  }, {
	    default: vue.withCtx(function (_ref) {
	      var open = _ref.open;
	      return [vue.renderSlot(_ctx.$slots, "default", {
	        open: open
	      })];
	    }),
	    _: 3
	  }, 8, ["as", "class", "disabled"]);
	}

	script.render = render;

	var HtmlElement = vue.defineComponent({
	  name: "HtmlElement",
	  props: {
	    el: {
	      type: [Object, String],
	      default: "div"
	    }
	  },
	  setup: function setup(props, _ref) {
	    var slots = _ref.slots;
	    return function () {
	      var _slots$default;

	      return vue.h(props.el, {}, slots === null || slots === void 0 ? void 0 : (_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots));
	    };
	  }
	});
	var script$1 = vue.defineComponent({
	  name: "DropdownItem",
	  components: {
	    HMenuItem: vue$1.MenuItem,
	    HtmlElement: HtmlElement
	  },
	  props: _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, classAppend({
	    type: Object,
	    default: {
	      BASE: "",
	      active: "",
	      inactive: ""
	    }
	  })), classRemove({
	    type: Object,
	    default: {
	      BASE: "",
	      active: "",
	      inactive: ""
	    }
	  })), variant({
	    default: "DEFAULT"
	  })), as({
	    default: "button"
	  })), status({
	    default: false,
	    validator: function validator(v) {
	      return !v || ["disabled"].includes(v);
	    }
	  })),
	  setup: function setup(props) {
	    var _props$variant, _theme$resolvedVarian;

	    var twindEnable = vue.inject("twindEnable", true);
	    var theme = vue.inject("theme"); // eslint-disable-line @typescript-eslint/no-explicit-any

	    var resolvedVariant = (_props$variant = props.variant) !== null && _props$variant !== void 0 ? _props$variant : vue.inject("variant", "DEFAULT");
	    var variantClasses = (_theme$resolvedVarian = theme === null || theme === void 0 ? void 0 : theme[resolvedVariant].DropdownItem) !== null && _theme$resolvedVarian !== void 0 ? _theme$resolvedVarian : console.error("Could not find variant classes.");
	    var statusClasses = props.status && theme[props.status] ? theme[props.status].DropdownItem : false;
	    var classes = vue.computed(function () {
	      var _statusClasses$BASE, _props$classAppend, _props$classRemove, _props$classAppend2, _props$classRemove2, _props$classAppend3, _props$classRemove3;

	      return {
	        BASE: new Classy().append((_statusClasses$BASE = statusClasses.BASE) !== null && _statusClasses$BASE !== void 0 ? _statusClasses$BASE : variantClasses === null || variantClasses === void 0 ? void 0 : variantClasses.BASE).append((_props$classAppend = props.classAppend) === null || _props$classAppend === void 0 ? void 0 : _props$classAppend.BASE).remove((_props$classRemove = props.classRemove) === null || _props$classRemove === void 0 ? void 0 : _props$classRemove.BASE).twind(twindEnable).val(),
	        active: new Classy().append(variantClasses === null || variantClasses === void 0 ? void 0 : variantClasses.active).append((_props$classAppend2 = props.classAppend) === null || _props$classAppend2 === void 0 ? void 0 : _props$classAppend2.active).remove((_props$classRemove2 = props.classRemove) === null || _props$classRemove2 === void 0 ? void 0 : _props$classRemove2.active).twind(twindEnable).val(),
	        inactive: new Classy().append(variantClasses === null || variantClasses === void 0 ? void 0 : variantClasses.inactive).append((_props$classAppend3 = props.classAppend) === null || _props$classAppend3 === void 0 ? void 0 : _props$classAppend3.inactive).remove((_props$classRemove3 = props.classRemove) === null || _props$classRemove3 === void 0 ? void 0 : _props$classRemove3.inactive).twind(twindEnable).val()
	      };
	    });
	    return {
	      classes: classes
	    };
	  }
	});

	function render$1(_ctx, _cache, $props, $setup, $data, $options) {
	  var _component_HtmlElement = vue.resolveComponent("HtmlElement");

	  var _component_HMenuItem = vue.resolveComponent("HMenuItem");

	  return vue.openBlock(), vue.createBlock(_component_HMenuItem, {
	    as: "template",
	    disabled: _ctx.status === 'disabled'
	  }, {
	    default: vue.withCtx(function (_ref) {
	      var active = _ref.active;
	      return [typeof _ctx.as === 'string' ? (vue.openBlock(), vue.createBlock(_component_HtmlElement, {
	        key: 0,
	        el: _ctx.as,
	        class: [active ? _ctx.classes.active : _ctx.classes.inactive, _ctx.classes.BASE]
	      }, {
	        default: vue.withCtx(function () {
	          return [vue.renderSlot(_ctx.$slots, "default", {
	            active: active
	          })];
	        }),
	        _: 2
	      }, 1032, ["el", "class"])) : (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.as), {
	        key: 1
	      }, {
	        default: vue.withCtx(function () {
	          return [vue.renderSlot(_ctx.$slots, "default", {
	            active: active
	          })];
	        }),
	        _: 2
	      }, 1024))];
	    }),
	    _: 1
	  }, 8, ["disabled"]);
	}

	script$1.render = render$1;

	var script$2 = vue.defineComponent({
	  name: "DropdownItems",
	  props: _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, classAppend()), classRemove()), variant({
	    default: "DEFAULT"
	  })), status()),
	  setup: function setup(props) {
	    var _props$variant, _theme$resolvedVarian;

	    var theme = vue.inject("theme"); // eslint-disable-line @typescript-eslint/no-explicit-any

	    var status = vue.inject("status");
	    var align = vue.inject("align", "left");
	    var resolvedVariant = (_props$variant = props.variant) !== null && _props$variant !== void 0 ? _props$variant : vue.inject("variant", "DEFAULT");
	    var variantClasses = (_theme$resolvedVarian = theme === null || theme === void 0 ? void 0 : theme[resolvedVariant].DropdownItems) !== null && _theme$resolvedVarian !== void 0 ? _theme$resolvedVarian : "";
	    var classes = vue.computed(function () {
	      return {
	        items: new Classy().append(variantClasses).append(theme.align[align]).append(props.classAppend).remove(props.classRemove).twind(vue.inject("twindEnable", true)).val(),
	        transition: {
	          enterActiveClass: new Classy(theme.transition.DEFAULT.enterActiveClass).twind().val(),
	          enterFromClass: new Classy(theme.transition.DEFAULT.enterFromClass).twind().val(),
	          enterToClass: new Classy(theme.transition.DEFAULT.enterToClass).twind().val(),
	          leaveActiveClass: new Classy(theme.transition.DEFAULT.leaveActiveClass).twind().val(),
	          leaveFromClass: new Classy(theme.transition.DEFAULT.leaveFromClass).twind().val(),
	          leaveToClass: new Classy(theme.transition.DEFAULT.leaveToClass).twind().val()
	        }
	      };
	    });
	    return {
	      classes: classes,
	      tw: twind.tw,
	      status: status
	    };
	  },
	  components: {
	    HMenuItems: vue$1.MenuItems
	  }
	});

	function render$2(_ctx, _cache, $props, $setup, $data, $options) {
	  var _component_HMenuItems = vue.resolveComponent("HMenuItems");

	  return _ctx.status !== 'disabled' ? (vue.openBlock(), vue.createBlock(vue.Transition, {
	    key: 0,
	    "enter-active-class": _ctx.classes.transition.enterActiveClass,
	    "enter-from-class": _ctx.classes.transition.enterFromClass,
	    "enter-to-class": _ctx.classes.transition.enterToClass,
	    "leave-active-class": _ctx.classes.transition.leaveActiveClass,
	    "leave-from-class": _ctx.classes.transition.leaveFromClass,
	    "leave-to-class": _ctx.classes.transition.leaveToClass
	  }, {
	    default: vue.withCtx(function () {
	      return [vue.createVNode(_component_HMenuItems, {
	        class: _ctx.classes.items
	      }, {
	        default: vue.withCtx(function () {
	          return [vue.renderSlot(_ctx.$slots, "default")];
	        }),
	        _: 3
	      }, 8, ["class"])];
	    }),
	    _: 1
	  }, 8, ["enter-active-class", "enter-from-class", "enter-to-class", "leave-active-class", "leave-from-class", "leave-to-class"])) : vue.createCommentVNode("", true);
	}

	script$2.render = render$2;

	const dropDownBase = {
	    Dropdown: "relative inline-block text-left",
	    DropdownButton: "",
	    DropdownItems: "absolute z-10 w-56 mt-2 overflow-hidden bg-white border border-gray-200 divide-y divide-gray-100 rounded-md shadow-lg outline-none",
	};
	// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types, @typescript-eslint/no-explicit-any
	const Theme = (userTheme) => {
	    return merge__default['default']({
	        DEFAULT: {
	            ...dropDownBase,
	            DropdownItem: {
	                BASE: "flex justify-between w-full px-4 py-2 text-sm leading-5 text-left",
	                active: "bg-gray-100 text-gray-900",
	                inactive: "text-gray-700",
	            },
	        },
	        danger: {
	            DropdownItem: {
	                BASE: "flex justify-between w-full px-4 py-2 text-sm leading-5 text-left",
	                active: "bg-red-100 text-red-900",
	                inactive: "text-gray-700",
	            }
	        },
	        success: {
	            DropdownItem: {
	                BASE: "flex justify-between w-full px-4 py-2 text-sm leading-5 text-left",
	                active: "bg-green-100 text-green-900",
	                inactive: "text-gray-700",
	            }
	        },
	        disabled: {
	            DropdownButton: "cursor-not-allowed",
	            DropdownItem: {
	                BASE: "text-gray-300 flex justify-between w-full px-4 py-2 text-sm leading-5 text-left cursor-not-allowed",
	                active: "",
	                inactive: "",
	            }
	        },
	        align: {
	            left: "right-0 origin-top-right",
	            right: "left-0 origin-top-left"
	        },
	        transition: {
	            DEFAULT: {
	                enterActiveClass: "transition duration-100 ease-out",
	                enterFromClass: "transform scale-95 opacity-0",
	                enterToClass: "transform scale-100 opacity-100",
	                leaveActiveClass: "transition duration-75 ease-out",
	                leaveFromClass: "transform scale-100 opacity-100",
	                leaveToClass: "transform scale-95 opacity-0",
	            }
	        }
	    }, userTheme ? userTheme.ZDropdown : null);
	};

	var Dropdown = vue.defineComponent({
	  name: "Dropdown",
	  components: {
	    HMenu: vue$1.Menu
	  },
	  props: _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, classAppend()), classRemove()), variant({
	    default: "DEFAULT"
	  })), status()), as({
	    default: "template"
	  })), {}, {
	    align: {
	      type: String,
	      default: "left",
	      validator: function validator(v) {
	        return ["right", "left"].includes(v);
	      }
	    }
	  }),
	  setup: function setup(props) {
	    var _computed = vue.computed(function () {
	      return Theme(vue.inject("userTheme", {}));
	    }),
	        theme = _computed.value;

	    var classes = vue.computed(function () {
	      return new Classy().append(theme[props.variant].Dropdown).append(props.classAppend).remove(props.classRemove).twind(vue.inject("twindEnable", true)).val();
	    });
	    vue.provide("theme", theme);
	    vue.provide("variant", props.variant);
	    vue.provide("align", props.align);
	    vue.provide("status", props.status);
	    return {
	      classes: classes
	    };
	  }
	});

	function render$3(_ctx, _cache, $props, $setup, $data, $options) {
	  var _component_HMenu = vue.resolveComponent("HMenu");

	  return vue.openBlock(), vue.createBlock("div", {
	    class: _ctx.classes
	  }, [vue.createVNode(_component_HMenu, {
	    as: _ctx.as
	  }, {
	    default: vue.withCtx(function (_ref) {
	      var open = _ref.open;
	      return [vue.renderSlot(_ctx.$slots, "default", {
	        open: open,
	        variant: _ctx.variant
	      })];
	    }),
	    _: 3
	  }, 8, ["as"])], 2);
	}

	Dropdown.render = render$3;

	const registerComponent = (instance, component) => {
	    if (component) {
	        instance.component(component.name || "", component);
	    }
	};

	const DropdownPlugin = {
	    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
	    install(vue) {
	        registerComponent(vue, Dropdown);
	    },
	};
	const DropdownButtonPlugin = {
	    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
	    install(vue) {
	        registerComponent(vue, script);
	    },
	};
	const DropdownItemsPlugin = {
	    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
	    install(vue) {
	        registerComponent(vue, script$2);
	    },
	};
	const DropdownItemPlugin = {
	    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
	    install(vue) {
	        registerComponent(vue, script$1);
	    },
	};

	exports.Dropdown = Dropdown;
	exports.DropdownButton = script;
	exports.DropdownButtonPlugin = DropdownButtonPlugin;
	exports.DropdownItem = script$1;
	exports.DropdownItemPlugin = DropdownItemPlugin;
	exports.DropdownItems = script$2;
	exports.DropdownItemsPlugin = DropdownItemsPlugin;
	exports.DropdownPlugin = DropdownPlugin;

	Object.defineProperty(exports, '__esModule', { value: true });

})));
