import './export-54398709.js';
import { AnchorPlugin } from './Anchor.js';
export { default as Anchor } from './Anchor.js';
import '@babel/runtime/helpers/esm/defineProperty';
import './index-fad2593b.js';
import 'vue';
import 'clsx';
import { silent, setup } from 'twind';
import merge from 'lodash.merge';
import 'core-js/modules/es.string.anchor.js';
import './es.array.includes-a47ed4b6.js';
import { ButtonPlugin } from './Button.js';
export { default as Button } from './Button.js';
import '@headlessui/vue';
import { DropdownPlugin, DropdownButtonPlugin, DropdownItemsPlugin, DropdownItemPlugin } from './Dropdown.js';
export { Dropdown, DropdownButton, DropdownItem, DropdownItems } from './Dropdown.js';
import { TablePlugin } from './Table.js';
export { default as Table } from './Table.js';

var componentsAsPlugins = /*#__PURE__*/Object.freeze({
  __proto__: null,
  AnchorPlugin: AnchorPlugin,
  ButtonPlugin: ButtonPlugin,
  DropdownPlugin: DropdownPlugin,
  DropdownButtonPlugin: DropdownButtonPlugin,
  DropdownItemsPlugin: DropdownItemsPlugin,
  DropdownItemPlugin: DropdownItemPlugin,
  TablePlugin: TablePlugin
});

// Install
function pluginSetup(config = {
    theme: false,
}) {
    // Merge default config with user config
    const twindOptions = merge({
        enable: true,
        setup: {
            mode: silent,
            darkMode: false,
        },
    }, config.twind);
    // Pass to Twind setup
    if (twindOptions.enable && twindOptions.setup) {
        setup(twindOptions.setup);
    }
    // Install Vue plugin
    const install = (app) => {
        for (const componentKey in componentsAsPlugins) {
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            app.use(componentsAsPlugins[componentKey]);
        }
        // Provide data to components
        app.provide("userTheme", config.theme);
        app.provide("twindEnable", twindOptions.enable);
    };
    return install;
}

export default pluginSetup;
